Get identifiers of users that are allowed to be logged
curl --request GET \
--url https://app.traceloop.com/api/config/pii/tracing-allow-list \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.traceloop.com/api/config/pii/tracing-allow-list"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.traceloop.com/api/config/pii/tracing-allow-list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"associationPropertyAllowList": "<any>"
}Tracing
Get identifiers of users that are allowed to be logged
GET
/
api
/
config
/
pii
/
tracing-allow-list
Get identifiers of users that are allowed to be logged
By default, all prompts and responses are logged.
If you’ve disabled this behavior by following this guide,
and then selectively enabled it for some of your users then you
can use this API to view which users you’ve enabled.
Response
The list of users that are allowed to be logged. Listed using their
association properties.
{
"associationPropertyAllowList": [
{
"userId": "123"
},
{
"userId": "456",
"chatId": "abc"
}
]
}
Was this page helpful?
⌘I

